// src/api/todoApi.js
import axios from 'axios';

const todoApi = axios.create({
  baseURL: process.env.REACT_APP_API_TODO,
  headers: {
    'Content-Type': 'application/json',
  }
});

// JWT 자동 첨부
todoApi.interceptors.request.use(config => {
  const token = localStorage.getItem('access');
  if (token) {
    config.headers.Authorization = `Bearer ${token}`;
  }
  return config;
});

export default todoApi;
